PEARL Procedures rev-distro-2.1.1-1-gf419e92-dirty Igor procedures for the analysis of PEARL data

Namespaces | Functions
pearl-arpes.ipf File Reference

data acquisition and analysis package for ARPES at PEARL. More...

`#include "pearl-area-display"`
`#include "pearl-area-profiles"`
`#include "pearl-area-import"`
`#include "pearl-pshell-import"`
`#include "pearl-compat"`
`#include "pearl-data-explorer"`
`#include "pearl-anglescan-process"`
`#include "pearl-anglescan-panel"`
`#include "pearl-anglescan-tracker"`
`#include "pearl-scienta-preprocess"`
`#include "pearl-elog"`

Go to the source code of this file.

## Namespaces
| PearlArpes
| data acquisition and analysis package for ARPES at PEARL.

## Functions
static variable | AfterCompiledHook ()
| initializes package data once when the procedure is first loaded More...
variable | UnloadPearlArpesPackage ()

## Detailed Description

data acquisition and analysis package for ARPES at PEARL.

this procedure defines the PEARL ARPES package the main purpose of this file is to load the necessary dependent procedures (see the include statements at the top)

Precondition
  - HDF5 XOP must be loaded.
  - on-line data acquisition functionality requires the EPICS XOP to be loaded

Author
  matthias muntwiler, matth.nosp@m.ias..nosp@m.muntw.nosp@m.iler.nosp@m.@psi..nosp@m.ch

Copyright
  2012-18 Paul Scherrer Institut
  Licensed under the Apache License, Version 2.0 (the "License");
  you may not use this file except in compliance with the License.
  You may obtain a copy of the License at http://www.apache.org/licenses/LICENSE-2.0

Definition in file pearl-arpes.ipf.

## Function Documentation

## ◆ AfterCompiledHook()

static variable AfterCompiledHook | ( |  | ) |
| static

initializes package data once when the procedure is first loaded

Definition at line 77 of file pearl-arpes.ipf.

## ◆ UnloadPearlArpesPackage()

variable UnloadPearlArpesPackage | ( |  | ) |

Definition at line 84 of file pearl-arpes.ipf.